.level {
  position: absolute;
  height: 100%;
  display: flex;
  flex-wrap: nowrap;
  align-items: flex-end;
}
.block {
  position: static;
  height: 60px;
  background: #45283c;
  flex-shrink: 0;
}

.sand {
  background-image: url("../assets/textures/sand_without_corners.gif");
  background-size: 63px 60px;
  background-repeat: repeat-x;
  background-color: #ffc191;
}

.rock {
  background-image: url("../assets/textures/rock.png");
  background-size: 63px 60px;
  background-repeat: repeat-x;
  background-color: #625d63;
}

.grass {
  background-image: url("../assets/textures/grass.png");
  background-size: 63px 60px;
  background-repeat: repeat-x;
  background-color: #45283c;
}

.added {
  position: absolute;
  bottom: 0;
  left: -2px;
  width: 100%;
  &._r {
    left: -8px;
  }
  @for $i from 1 through 10 {
    &._r.offset#{$i} {
      left: (63px * $i) - 8px;
    }
    &.offset#{$i} {
      left: (63px * $i) - 2px;
    }
  }
  &.startwall {
    left: -60px;
  }
}
.wlt {
  width: 100%;
  background-image: url("../assets/textures/wallTopLeft.png");
  background-repeat: repeat-y;
  background-size: 63px 60px;
  transform: scale(-1, 1);
  margin-left: 10px;
}
.wl {
  height: 100%;
  background-repeat: repeat-y;
  background-size: 63px 60px;
  margin-left: 10px;
  width: 100%;
  background-image: url("../assets/textures/wallMidLeft.png");
  transform: scale(-1);
}
.wlb {
  width: 100%;
  background-repeat: no-repeat;
  background-size: 50px 50px;
  margin-left: 5px;
  background-image: url("../assets/textures/wallBottomLeft.png");
  transform: scale(-1, 1);
}
.wrt {
  width: 100%;
  background-repeat: repeat-y;
  background-size: 63px 60px;
  background-image: url("../assets/textures/wallTopLeft.png");
}
.wr {
  width: 100%;
  background-repeat: repeat-y;
  background-size: 63px 60px;
  height: 100%;
  background-image: url("../assets/textures/wallMidLeft.png");
}
.wrb {
  width: 100%;
  background-repeat: no-repeat;
  background-size: 50px 50px;
  background-image: url("../assets/textures/wallBottomLeft.png");
  background-position: 5px 0;
}

#startImg {
  margin-bottom: -7px;
}

.decorProps {
  position: relative;
  z-index: -1;
}

.waterGif {
  width: 63px;
  height: 60px;
}
.greenWaterGif {
  width: 63px;
  height: 60px;
}

.wall {
  height: 100%;
  width: 1px;
}
.hole {
  height: 60px;
  flex-shrink: 0;
}

.behind {
  z-index: -1;
}

// ================== TRAP =================
.trap {
  width: 25px;
  height: 25px;
  position: absolute;

  &.fall {
    bottom: -150px;
    width: 100%;
  }
}
.right-spike {
  transform: rotate(90deg) translateY(28px);
  z-index: -1;
}

.left-spike {
  transform: rotate(270deg) translateY(28px);
  z-index: -1;
}
.flex {
  display: flex;
  justify-content: space-between;
}
.spike {
  height: 7px;
  width: 30px;
  position: relative;
  background-image: url("../assets/spike_base.png");
  background-size: cover;
  margin-bottom: -7px;
  .pic {
    bottom: 100%;
    left: 2px;
    background-image: url("../assets/spike.png");
    background-size: contain;
    width: 26px;
    height: 60px;
    background-color: unset;
    animation: picUp 1s infinite alternate;
    z-index: -1;
  }
}

.campfire {
  display: flex;
  align-items: flex-end;
  position: relative;
  width: 63px;
  height: 80px;
  margin-bottom: -7px;
  border-top-left-radius: 60%;
  border-top-right-radius: 60%;
  img {
    width: 63px;
    height: 110px;
  }
}

.ennemy {
  position: relative;
  .monsterA {
    background-image: url("../assets/spike_monster_A.png");
    bottom: 100%;
    background-size: contain;
    width: 68px;
    height: 37px;
    background-color: unset;
    animation: ennemySide 1s infinite linear alternate;
    &.lvl3Ennemy {
      animation: ennemySide 4s infinite linear alternate;
    }
  }
  .monsterB {
    border-top-left-radius: 50%;
    border-top-right-radius: 50%;
    background-image: url("../assets/spike_monster_B.png");
    bottom: 100%;
    background-size: contain;
    width: 68px;
    height: 35px;
    background-color: unset;
    animation: ennemySide 1s infinite alternate;
    &#LVL1 {
      animation: ennemySideLVL1 1s infinite alternate;
    }

    &.lvl3Ennemy {
      animation: ennemySide 4s infinite alternate;
      animation-delay: 2s;
    }
  }
}

.elevator {
  position: absolute;
  animation: elevation 7s infinite alternate;
}

.relative {
  position: relative;
}
.back {
  z-index: -1;
}

@keyframes picUp {
  0% {
    bottom: 100%;
    height: 60px;
  }
  50% {
    bottom: -50px;
    height: 50px;
  }
  100% {
    bottom: -50px;
    height: 50px;
  }
}

@keyframes elevation {
  0% {
    bottom: 0%;
  }
  100% {
    bottom: 100%;
  }
}

@keyframes ennemySide {
  0% {
    left: 0%;
  }
  100% {
    left: calc(100% - 68px);
  }
}

@keyframes ennemySideLVL1 {
  0% {
    left: -126px;
  }
  100% {
    left: calc(100% + 126px);
  }
}
@keyframes upNDown1 {
  from {
    left: 0%;
  }
  to {
    left: 50%;
  }
}

.platform {
  position: static;
  height: 10px;
  flex-shrink: 0;

  background-image: url("../assets/textures/platform.png");
  background-repeat: no-repeat;
  background-size: 140px;
  background-position-x: -6px;
}

@for $i from 1 through 100 {
  .b#{$i} {
    width: 63px * $i;
  }
}
@for $i from 1 through 100 {
  .f#{$i} {
    margin-bottom: 60px * $i;
  }
}
@for $i from 1 through 100 {
  .h#{$i} {
    height: 60px * $i;
  }
}

.hMax {
  height: 100%;
}

.ruby {
  margin-bottom: -8px;
}

.plants {
  margin-bottom: -6px;
  z-index: 1;
}

#sign {
  position: absolute;
  bottom: 100%;
  left: 50px;
}

.seashell {
  height: 20px;
  margin-bottom: -5px;
  margin-left: 20px;
}

.tuto {
  position: absolute;
  left: 0;
  bottom: 300px;
  background: none;
  color: black;
  &._monster {
    bottom: 240px;
  }
  &.warning {
    display: inline-block;
    height: 0;
    width: 0;
    border-right: 40px solid transparent;
    border-bottom: 69px solid red;
    border-left: 40px solid transparent;
    animation: twinkle_img 500ms 500ms linear infinite alternate;
    img {
      position: absolute;
      left: -20px;
      top: 17px;
    }
  }
  &._jump {
    .tup {
      animation: twinkle 500ms linear infinite alternate;
    }
  }
  &._move {
    .tleft {
      animation: twinkle 500ms linear infinite alternate;
    }
    .tright {
      animation: twinkle 500ms 500ms linear infinite alternate;
    }
  }
  &._wallJump {
    bottom: 400px;
    left: 50px;
    .tleft {
      animation: wjL 4000ms linear infinite;
    }
    .tup {
      animation: wjU 4000ms linear infinite;
    }
    .tright {
      animation: wjR 4000ms linear infinite;
    }
  }
  &._fastFall {
    bottom: 400px;
    .tdown {
      animation: twinkle 500ms linear infinite alternate;
    }
  }
}
@keyframes twinkle {
  0% {
    background: none;
  }
  100% {
    background: saddlebrown;
  }
}
@keyframes twinkle_img {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes wjL {
  0% {
    background: none;
  }
  25% {
    background: none;
  }
  26% {
    background: saddlebrown;
  }
  37% {
    background: saddlebrown;
  }
  38% {
    background: none;
  }
  100% {
    background: none;
  }
}
@keyframes wjU {
  0% {
    background: none;
  }
  12% {
    background: none;
  }
  13% {
    background: saddlebrown;
  }
  15% {
    background: none;
  }
  24% {
    background: none;
  }
  25% {
    background: saddlebrown;
  }
  27% {
    background: none;
  }
  35% {
    background: none;
  }
  36% {
    background: saddlebrown;
  }
  38% {
    background: none;
  }
  100% {
    background: none;
  }
}
@keyframes wjR {
  0% {
    background: saddlebrown;
  }
  25% {
    background: saddlebrown;
  }
  26% {
    background: none;
  }
  37% {
    background: none;
  }
  38% {
    background: saddlebrown;
  }
  50% {
    background: saddlebrown;
  }
  51% {
    background: none;
  }
  100% {
    background: none;
  }
}
